/* PAGE-SPECIFIC STYLES FOR THE HOME PAGE */
/*-- -------------------------- -->
<---       Side By Side         -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #sbs-1073 {
    padding: var(--sectionPadding);
    background-color: var(--secondary);
  }
  #sbs-1073 .cs-container {
    width: 100%;
    /* changes to 1280px at desktop */
    max-width: 34.375rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
  }
  #sbs-1073 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: left;
    width: 100%;
    /* changes to 433px at desktop */
    max-width: 33.875rem;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: flex-start;
  }
  #sbs-1073 .cs-text {
    margin-bottom: 1rem;
  }
  #sbs-1073 .cs-text:last-of-type {
    margin-bottom: 2rem;
  }
  #sbs-1073 .cs-list {
    max-width: 39.375rem;
    margin: 0 0 2rem 0;
    padding: 0;
    /* clips the bullets to create the half circle */
    overflow: hidden;
  }
  #sbs-1073 .cs-li {
    list-style: none;
    margin: 0 0 0.5rem 0;
    color: var(--bodyTextColor);
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0.75rem;
    position: relative;
  }
  #sbs-1073 .cs-li:before {
    /* bullet */
    content: "";
    width: 1rem;
    height: 1rem;
    margin-top: 0.1875rem;
    /* make it overflow the parent by half it's width to make an eclipse */
    margin-left: -0.5rem;
    background: var(--white);
    border-radius: 50%;
    display: block;
    /* prevents flexbox from squishing it */
    flex: none;
  }
  #sbs-1073 .cs-link {
    text-decoration: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.75rem;
    position: relative;
  }
  #sbs-1073 .cs-link:hover .cs-wrapper {
    transform: scale(1.1);
  }
  #sbs-1073 .cs-wrapper {
    width: 3.5rem;
    height: 3.5rem;
    background-color: var(--primary);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* prevents flexbox from squishing it */
    flex: none;
    transition: transform 0.3s;
  }
  #sbs-1073 .cs-icon {
    width: 1.5rem;
    height: auto;
    display: block;
    transition: transform 0.3s;
  }
  #sbs-1073 .cs-info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.25rem;
  }
  #sbs-1073 .cs-header {
    font-size: 0.875rem;
    line-height: 1.5em;
    margin: 0;
    color: var(--bodyTextColor);
    display: block;
  }
  #sbs-1073 .cs-link-content {
    /* 20px - 25px */
    font-size: clamp(1.25rem, 4vw, 1.5625rem);
    line-height: 1.2em;
    font-weight: 700;
    margin: 0;
    color: var(--bodyTextColor);
    display: block;
  }
  #sbs-1073 .cs-image-group {
    /* scales the whole group based on the view width size and stop when that vales equals .745em, resets at desktop */
    font-size: min(1.959vw, .745em);
    width: 46.125em;
    height: 41.375em;
    display: block;
    position: relative;
    z-index: 1;
  }
  #sbs-1073 .cs-picture {
    position: absolute;
  }
  #sbs-1073 .cs-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }
  #sbs-1073 .cs-picture1 {
    width: 13.6875em;
    height: 27.5em;
    top: 6.375em;
    left: 0;
    z-index: -1;
  }
  #sbs-1073 .cs-picture2 {
    width: 19.1875em;
    height: 37.5em;
    bottom: 0;
    left: 13.5625em;
    z-index: 10;
  }
  #sbs-1073 .cs-picture3 {
    width: 13.625em;
    height: 27.5em;
    top: 11.375em;
    right: 0;
    z-index: -1;
  }
  #sbs-1073 .cs-stripes {
    width: 36.125em;
    opacity: 0.05;
    height: auto;
    display: block;
    position: absolute;
    top: 0em;
    left: 4.5em;
    z-index: -2;
  }
}
/* Small Desktop - 1024px */
@media only screen and (min-width: 64rem) {
  #sbs-1073 .cs-container {
    max-width: 80rem;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  #sbs-1073 .cs-content {
    max-width: 27.0625rem;
  }
  #sbs-1073 .cs-image-group {
    font-size: min(1.2vw, 1em);
    flex: none;
  }
}
/*-- -------------------------- -->
<---          Services          -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #services-1081 {
    padding: var(--sectionPadding);
    background-color: var(--primary);
  }
  #services-1081 .cs-container {
    width: 100%;
    /* changes to 1280px at tablet */
    max-width: 34.375rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
  }
  #services-1081 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
  }
  #services-1081 .cs-title {
    max-width: 20ch;
  }
  #services-1081 .cs-card-group {
    width: 100%;
    margin: 0;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    align-items: stretch;
    /* 16px - 20px */
    gap: clamp(1rem, 2vw, 1.25rem);
  }
  #services-1081 .cs-item {
    text-align: left;
    list-style: none;
    width: 100%;
    background-color: var(--primary);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    grid-column: span 12;
    position: relative;
    z-index: 1;
  }
  #services-1081 .cs-item:hover .cs-picture:before {
    opacity: 0.8;
  }
  #services-1081 .cs-item:hover .cs-picture img {
    transform: scale(1.2);
  }
  #services-1081 .cs-item:hover .cs-h3 {
    background-color: var(--primary);
  }
  #services-1081 .cs-picture {
    width: 100%;
    /* 180px - 240px */
    height: clamp(11.25rem, 24vw, 15rem);
    /* clips the image from overflowing parent on hover */
    overflow: hidden;
    display: block;
    position: relative;
  }
  #services-1081 .cs-picture:before {
    /* black hover overlay */
    content: "";
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    transition: opacity 0.3s;
  }
  #services-1081 .cs-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: transform 0.65s;
  }
  #services-1081 .cs-h3 {
    /* 20px - 25px */
    font-size: clamp(1.25rem, 2.5vw, 1.5625rem);
    line-height: 1.5em;
    font-weight: 700;
    text-align: inherit;
    width: 100%;
    margin: 0;
    /* 12px - 16px top & Bottom */
    /* 16px - 24px left & right */
    padding: clamp(0.75rem, 1.6vw, 1rem) clamp(1rem, 2.5vw, 1.5rem);
    /* prevents padding and border from affecting height and width */
    box-sizing: border-box;
    background-color: #1a1a1a;
    color: var(--bodyTextColorWhite);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    /* 8px - 16px */
    gap: clamp(0.5rem, 1vw, 1rem);
    transition: background-color 0.3s;
  }
  #services-1081 .cs-item-text {
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    line-height: 1.5em;
    text-align: inherit;
    width: 100%;
    margin: 0 0 1.25rem;
    /* 16px - 24px */
    padding: clamp(1rem, 2.5vw, 1.25rem);
    /* prevents padding and border from affecting height and width */
    box-sizing: border-box;
    padding-bottom: 0;
    color: var(--bodyTextColor);
  }
  #services-1081 .cs-link {
    font-size: 1rem;
    line-height: 1.2em;
    text-align: inherit;
    text-decoration: none;
    font-weight: 700;
    /* 16px - 24px */
    margin: 0 0 clamp(1rem, 2.5vw, 1.5rem) clamp(1rem, 2.5vw, 1.5rem);
    color: var(--primaryLight);
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }
  #services-1081 .cs-link:hover .cs-arrow {
    transform: translateX(0.25rem);
  }
  #services-1081 .cs-arrow {
    width: 1.25rem;
    height: auto;
    display: block;
    transition: transform 0.3s;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #services-1081 .cs-container {
    max-width: 80rem;
  }
  #services-1081 .cs-item {
    grid-column: span 4;
  }
}
/*-- -------------------------- -->
<---          Services          -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #services-1191 {
    padding: var(--sectionPadding);
    background-color: var(--secondary);
    /* prevents padding from affecting height and  */
    box-sizing: border-box;
  }
  #services-1191 .cs-container {
    /* changes to 1440px at desktop */
    max-width: 58.75rem;
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
  }
  #services-1191 .cs-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
    /* set text align to left if content needs to be left aligned */
    text-align: center;
  }
  #services-1191 .cs-title {
    max-width: 20ch;
  }
  #services-1191 .cs-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 64px */
    gap: clamp(3rem, 6vw, 4rem);
    position: relative;
  }
  #services-1191 .cs-image {
    width: 100%;
    max-width: 31.875rem;
    height: auto;
    display: block;
    position: relative;
  }
  #services-1191 .cs-image img {
    width: 100%;
    height: auto;
  }
  #services-1191 .cs-card-group {
    width: 100%;
    margin: 0;
    padding: 0;
    display: grid;
    justify-content: center;
    row-gap: 1rem;
  }
  #services-1191 .cs-item {
    text-align: center;
    list-style: none;
    max-width: 23rem;
    width: 100%;
    margin: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.25rem;
  }
  #services-1191 .cs-picture {
    width: 5rem;
    height: 5rem;
    box-sizing: border-box;
    /* prevents border from affecting height and width */
    background-color: var(--primary);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    /* prevents flexbox from squishing it */
    flex: none;
  }
  #services-1191 .cs-icon {
    width: 1.875rem;
    height: auto;
    display: block;
  }
  #services-1191 .cs-h3 {
    font-size: 1.25rem;
    line-height: 1.5em;
    margin: 0;
    margin-bottom: 0.5rem;
    color: var(--bodyTextColor);
    text-align: inherit;
  }
  #services-1191 .cs-item-text {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    line-height: 1.5em;
    margin: 0;
    color: var(--bodyTextColor);
    text-align: inherit;
  }
  #services-1191 .cs-button-solid {
    font-size: 1rem;
    /* 46px - 56px */
    line-height: clamp(2.875em, 5.5vw, 3.5em);
    text-decoration: none;
    font-weight: 700;
    text-align: center;
    margin: 0;
    color: #fff;
    border: 1px solid #fff;
    padding: 0 2rem;
    background-color: var(--primary);
    overflow: hidden;
    display: inline-block;
    position: relative;
    z-index: 1;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    transition: color 0.3s;
  }
  #services-1191 .cs-button-solid:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 0%;
    background: #1a1a1a;
    opacity: 1;
    top: 0;
    left: 0;
    z-index: -1;
    transition: width 0.3s;
  }
  #services-1191 .cs-button-solid:hover:before {
    width: 100%;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #services-1191 .cs-card-group {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
  }
  #services-1191 .cs-item {
    text-align: left;
    margin: 0;
    width: 32%;
    align-items: flex-start;
  }
  #services-1191 .cs-image {
    max-height: 28.125rem;
  }
  #services-1191 .cs-image img {
    width: 100%;
    height: auto;
    max-height: 28.125rem;
    object-fit: contain;
  }
}
/* Desktop - 1024px */
@media only screen and (min-width: 64rem) {
  #services-1191 .cs-container {
    max-width: 90rem;
  }
  #services-1191 .cs-image {
    width: 30vw;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
  #services-1191 .cs-image img {
    width: auto;
    height: auto;
  }
  #services-1191 .cs-card-group {
    align-items: flex-start;
    justify-content: center;
    /* 180px - 356px */
    column-gap: clamp(11.25rem, 21vw, 22.25rem);
    /* 40px - 88px */
    row-gap: clamp(2.5rem, 8vw, 5.5rem);
  }
  #services-1191 .cs-item {
    width: 32vw;
    max-width: 26.375rem;
    flex-direction: row;
    position: relative;
  }
  #services-1191 .cs-item:nth-of-type(odd) {
    text-align: right;
  }
  #services-1191 .cs-item:nth-of-type(odd) .cs-picture {
    /* sends it to the right in the 2nd position */
    order: 2;
  }
  #services-1191 .cs-item:nth-of-type(3) {
    /* 90px - 1280px */
    left: calc(clamp(5.625rem, 8vw, 8rem)*-1);
  }
  #services-1191 .cs-item:nth-of-type(4) {
    /* 90px - 1280px */
    right: calc(clamp(5.625rem, 8vw, 8rem)*-1);
  }
}
